Subject: Re: bug#6693: 24.0.50; font-lock-(builtin|doc) faces are *way* too close

From: Stefan Monnier <[email-masked]>
Date: Mon, 04 Jul 2011 13:01:59 -0400

> I'd say we absolutely should try to keep the emacs out-of-box color scheme
> colorblind-safe, so some people having problems _is_ a reason to change the
> scheme.

But there are 2 issues:
1- make sure that default faces have a foreground that combines well
   with its background.  I.e. each individual char should be legible
   even for colorblind users.
2- try to use visually different appearances for different font-lock faces.

The first issue is very important (e.g. a requirement to enable
font-lock by default).  The second is very secondary in comparison.

        Stefan "and note that I carefully talk about the appearance of
                the faces, and not their color: most of my faces use the
                default foreground and background color and are
                distinguished by other attributes"